# $Revision: 1.9 $, $Date: 2011/03/24 18:39:55 $
Summary:	Graphics file browser utility
Summary(hu.UTF-8):	Képfájl-böngésző eszköz
Summary(pl.UTF-8):	Narzędzie do przeglądania plików graficznych
Name:		geeqie
Version:	1.0
Release:	4
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://downloads.sourceforge.net/geeqie/%{name}-%{version}.tar.gz
# Source0-md5:	1d67ef990390224c5052697d93bb49c0
Patch0:		libdir-fix.patch
URL:		http://geeqie.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	exiv2-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	libjpeg-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32		-fomit-frame-pointer

%description
Geeqie is a browser for graphics files. Offering single click viewing
of your graphics files. Includes thumbnail view, zoom and filtering
features. And external editor support.

%description -l fr.UTF-8
Geeqie est un explorateur de fichiers graphiques. Il permet d'un
simple clic l'affichage de vos fichiers graphiques. Les capacités
suivantes sont incluses: vue d'imagettes, zoom, filtres et support
d'éditeurs externes.

%description -l hu.UTF-8
Geeqie egy böngésző, amellyel a grafikus fájlokat tudod kezelni.
Egyszeri kattintásra megnézheted a képfájljaidat. Kicsinyített nézet,
zoom és szűrő eszközök is található, és külső szerkesztő támogatása.

%description -l pl.UTF-8
Geeqie jest przeglądarką plików graficznych. Możesz przeglądać swoje
pliki graficzne jednym kliknięciem myszy. Zawiera widok miniatur, zoom
i opcje filtrowania, jak również wsparcie dla zewnętrznego edytora.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install AUTHORS README TODO ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# gzip -9nf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}%{_state}/{AUTHORS,TODO,ChangeLog}
rm -f $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/COPYING

mv $RPM_BUILD_ROOT%{_datadir}/locale/zh_CN{.GB2312,}

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/applications/*.desktop $RPM_BUILD_ROOT%{_desktopdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/{applications,template.desktop}

%find_lang %{name}

%post
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
#doc AUTHORS README TODO ChangeLog
%docdir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/%{name}.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: geeqie.spec,v $
Revision 1.9  2011/03/24 18:39:55  arekm
- release 4

Revision 1.8  2010/09/30 14:37:35  blues
- rel.3

Revision 1.7  2010/09/09 08:08:39  uzsolt
- libdir-fix patch

Revision 1.6  2010/09/09 06:01:25  uzsolt
- rel 2 (exiv2-libs)

Revision 1.5  2009/12/08 07:54:56  paszczus
- updated to 1.0 beta2
- BR: intltool, libtool
- adaptarized

Revision 1.4  2009/04/26 11:54:18  uzsolt
- alpha3
- hu

Revision 1.3  2008/08/31 21:14:41  ankry
- zh_CN locale fix

Revision 1.2  2008/08/31 10:56:30  blues
- todo note

Revision 1.1  2008/08/23 16:45:03  wolf
- gqview fork
